Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 972365 - packstack didn't install openstack-nova-compute on the defined compute node
Summary: packstack didn't install openstack-nova-compute on the defined compute node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: snapshot2
: 3.0
Assignee: Martin Magr
QA Contact: Brandon Perkins
URL:
Whiteboard: Test Blocker
Depends On:
Blocks: 966325
TreeView+ depends on / blocked
 
Reported: 2013-06-08 22:16 UTC by Rami Vaknin
Modified: 2014-01-12 23:55 UTC (History)
8 users (show)

Fixed In Version: openstack-packstack-2013.1.1-0.14.dev622
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-11 18:53:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 32374 0 None None None Never
Red Hat Product Errata RHBA-2013:0938 0 normal SHIPPED_LIVE openstack-packstack bug fix advisory 2013-06-11 22:48:19 UTC

Description Rami Vaknin 2013-06-08 22:16:27 UTC
Version:
Grizzly on rhel6.4, puddle 2013-06-07.1, openstack-packstack-2013.1.1-0.13.dev621.el6ost

Description:
I've installed two machines environment with packstack, one of them is the compute node, the second one is OpenStack Networking + OVS + l3 + dhcp + other services.
CONFIG_NOVA_COMPUTE_HOSTS=ip_of_the_compute_node

Result:
openstack-nova-compute was not installed on the compute node

10.35.160.25_nova.pp.log
========================
Invalid db connection mysql://nova@10.35.160.23/nova at /var/tmp/packstack/c4b5d5e5bfeb4820b943aca526f63ec1/modules/nova/manifests/init.pp:153 on node ...


Maybe due to commit 621822bed73b5ad0fbe6b0de9f2857c9966c8c04 ???

Comment 1 Martin Magr 2013-06-10 13:47:47 UTC
openstack-packstack-2013.1.1-0.14.dev622

Comment 6 errata-xmlrpc 2013-06-11 18:53:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0938.html


Note You need to log in before you can comment on or make changes to this bug.